import { Agent as IAgent, HttpResponse, HttpRequest } from "@ideal-postcodes/core-interface";
/**
 * @hidden
 */
declare type StringMap = Record<string, string>;
/**
 * @hidden
 */
export declare const parseQuery: (query: StringMap) => string;
/**
 * @hidden
 */
export declare const toHeader: (headers: Headers) => StringMap;
/**
 * Adapts fetch response to one that can be used by client
 *
 * @hidden
 */
export declare const toHttpResponse: (httpRequest: HttpRequest, response: Response, body: any) => HttpResponse;
/**
 * Implements browser agent for core-interface client
 *
 * @hidden
 */
export declare class Agent implements IAgent {
    config: RequestInit;
    /**
     * Default config using RequestInit interface from DOM specification
     */
    private defaultConfig;
    constructor(config?: RequestInit);
    private abortController;
    http(httpRequest: HttpRequest): Promise<HttpResponse>;
}
export {};
