"use strict";
/**
 * @module Client
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Client = void 0;
const core_interface_1 = require("@ideal-postcodes/core-interface");
const agent_1 = require("./agent");
/**
 * Ideal Postcodes HTTP Client which injects a HTTP Agent supported `fetch`
 */
class Client extends core_interface_1.Client {
    /**
     * Client constructor extends CoreInterface
     *
     * Client constructor extends CoreInterface by also accepting an optional got configuration object as the second argument.
     *
     * Client uses `fetch` to power HTTP requests. You may pass a second configuration object to `Client` which will write over attributes over all Request
     */
    constructor(config, fetchConfig = {}) {
        const agent = new agent_1.Agent(fetchConfig);
        super({ agent, ...config });
    }
}
exports.Client = Client;
